#####################################################################
#  Vchat  --  Internet Version coded by -D-E-A-D-L-I-N-E- codings   #
#=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=#
# (c) 93/94 by Andreas Wetzel (mickey@deadline.bln.sub.org)         # 
#             All rights reserved.                                  #
#-------------------------------------------------------------------#
# See the file COPYRIGHT in the toplevel directory for copyright    #
# notices and restrictions.                                         #              
#===================================================================#
# This file contains all necessary configuration parameters for the #
# different OS types. If you add changes to this file to support    #
# other operating systems, please mail them to the e-mail address   #
# below. I will then distribute these changes in the next release.  #
#                                                                   #
# E-mail: mickey@deadline.bln.sub.org                               #
#####################################################################

.if ${SYS} == "FreeBSD"

SHELL	= /bin/sh
INSTALL	= /usr/bin/install
STRIP	= /usr/bin/strip
SIZE	= /usr/bin/size
MAKE	= /usr/bin/make
MKDEP	= /usr/bin/mkdep

LIBDIR	= /usr/libexec
BINDIR	= /usr/local/bin
MANDIR	= /usr/local/man

COPTS	= -O2 -m486 -pipe
DEFS	= -DFreeBSD
DEBUG	=
LIBS	=
CC	= gcc

OWNER	= bin
GROUP	= bin
MODE	= 111

MANOWN	= bin
MANGRP	= bin
MANMODE	= 444

TAIL	= @echo -n; $(STRIP) $(TARGET)

.elif ${SYS} == "Linux"

SHELL	= /bin/sh
INSTALL	= /usr/bin/install
STRIP	= /usr/bin/strip
SIZE	= /usr/bin/size
MAKE	= /usr/local/bin/net2make
MKDEP	= /usr/bin/gcc -M

LIBDIR	= /usr/local/lib
BINDIR	= /usr/local/bin
MANDIR	= /usr/local/man

COPTS	= -O2 -m486 -pipe
DEFS	= -DLinux
DEBUG	=
LIBS	=
CC	= gcc

OWNER	= bin
GROUP	= bin
MODE	= 111

MANOWN	= bin
MANGRP	= bin
MANMODE	= 444

TAIL	= @echo -n; $(STRIP) $(TARGET)

.elif ${SYS} == "SunOS"

SHELL	= /bin/sh
INSTALL	= /usr/bin/install
STRIP	= /usr/bin/strip
SIZE	= /usr/bin/size
MAKE	= /usr/bin/make
MKDPEP	= /usr/bin/mkdep

LIBDIR	= /usr/local/lib
BINDIR	= /usr/local/bin
MANDIR	= /usr/local/man

COPTS	= -O
DEFS	= -DSunOS
DEBUG	=
LIBS	= -liberty
CC	= gcc

OWNER	= bin
GROUP	= bin
MODE	= 111

MANOWN	= bin
MANGRP	= bin
MANMODE	= 444

TAIL	= @echo -n; $(STRIP) $(TARGET)

.endif

CFLAGS	= $(COPTS) $(DEBUG) $(DEFS)

.if ${SYS} == "Linux"

DEPEND	= $(MKDEP) ${CFLAGS} ${SRCS} >.depend

.else

DEPEND	= $(MKDEP) ${CFLAGS} ${SRCS}

.endif
